#include "partition.h"
#include <bits/stdc++.h>
#define pb push_back
using namespace std;

const int MN = 1e5 + 5;

int a[MN];

struct str{

    int t,pos;

};
str m[MN];

bool fff(str x, str y){

    return x.t<y.t;

}

vector<int> solve(vector<int> A) {

    int n=A.size();
    long long s=0;

    vector<int> v;
    v.clear();


    for(int i=0;i<n;i++){

        s+=(long long)A[i];
        m[i]={A[i],i};

    }

    sort(m,m+n,fff);

    long long ts;
    int p,br,k=0,tt;
    int mi=n+1;

    for(int i=1;i<(1<<n);i++){
        ts=0;br=0;k++;
        //if(k>1e6)break;
        for(int j=0;j<n;j++){
            if((1<<j)&i){
                ts+=(long long)m[j].t;
                br++;
                tt=m[j].t;
            }
            k++;
        }

        if(2LL*ts<s)continue;
        if(2LL*(ts-(long long)tt)>=s)continue;

        if(abs(2*br-n)<mi){
            mi=abs(2*br-n);
            p=i;
        }

    }

    for(int j=0;j<n;j++){
        if((1<<j)&p){
            v.pb(m[j].pos);
        }
    }

    for(int j=0;j<n;j++){
        if(!((1<<j)&p)){
            v.pb(m[j].pos);
        }
    }

    return v;

}
